#include "specwidget.h"
#ifdef Q_OS_LINUX
#include <unistd.h>
#endif
#include <QApplication>
#include <QLibraryInfo>
#include <QTranslator>
int main(int argc, char *argv[])
{
#ifdef Q_OS_LINUX
	nice(0);
#else
	QThread::currentThread()->setPriority(QThread::HighestPriority);
#endif

	QApplication a(argc, argv);
	//Install translators
	QTranslator qtTranslator;
	qtTranslator.load("qt_" + QLocale::system().name(),
					  QLibraryInfo::location(QLibraryInfo::TranslationsPath));
	a.installTranslator(&qtTranslator);

	QTranslator appTranslator;
	QString strTransLocalFile =
			":/" +
			QCoreApplication::applicationName()+"_"+
			QLocale::system().name()+".qm";
	appTranslator.load(strTransLocalFile );
	a.installTranslator(&appTranslator);


	specWidget w;
	w.show();
	return a.exec();
}
